%global _empty_manifest_terminate_build 0
Name:           python-oslo-rootwrap
Version:        5.16.1
Release:        1
Summary:        Oslo Rootwrap
License:        Apache-2.0
URL:            https://docs.openstack.org/oslo.rootwrap/latest/
Source0:        https://files.pythonhosted.org/packages/b2/7c/80d1b2e8ed74c56320a0486d0075a999793dfeda846f980cfafe9a391e6e/oslo.rootwrap-5.16.1.tar.gz
BuildArch:      noarch
%description
OpenStack library for rootwrap

%package -n python3-oslo-rootwrap
Summary:        Oslo Rootwrap
Provides:       python-oslo-rootwrap
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-six
# General requires
Requires:       python3-six
%description -n python3-oslo-rootwrap
OpenStack library for rootwrap

%package help
Summary:        Oslo Rootwrap
Provides:       python3-oslo-rootwrap-doc
%description help
OpenStack library for rootwrap

%prep
%autosetup -n oslo.rootwrap-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-oslo-rootwrap -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Nov 15 2021 OpenStack_SIG <openstack@openeuler.org> - 5.16.1-1
- Init package python3-oslo-rootwrap of version 5.16.1

